Upload a File
Return details for upload file
The maximum size is 20MB. Allowed extensions are: .pdf, .jpg, .png, .gif, .jpeg, .docx, .doc, .bmp
Path
POST /attachments Request Body
application/json
Responses
-
idstringThe unique identifier of the attachment.fileNamestringThe name for the attachment that has been generated for internal use.originalFileNamestringThe name that the attachment was originally uploaded with.thumbnailUrlstringIf a thumbnail has been created, this will be the URL to it with a time-limited access token.createdAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzWhen it was created.sizeintegerThe number of bytes.mimeTypestringThe type of file content, e.g. image/jpeg.originalFileUrlstringThe direct link to download the file.malwareDetectedbooleanUnpopulated if the attachment has not been scanned yet. True if malware was detected, false if not.
-
-
Request Example
{
"file": "binary using multipart/form-data content-type"
}
Response Example
{
"id": "d3cd4950-9541-4867-063f-08ddb25bc8cc",
"size": 1784046,
"mimeType": "image/jpeg",
"createdAt": "2025-06-24T08:17:00Z",
"originalFileName": "Group_of_cats.jpg"
}